Package: groovy.xml.slurpersupport

## [Java] Class FilteredAttributes

- groovy.xml.slurpersupport.FilteredAttributes

-     public class FilteredAttributes
      extends Attributes

  Lazy evaluated representation of a node's attributes filtered by a Closure.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FilteredAttributes(GPathResult parent, Closure closure, Map<String, String> namespaceTagHints)` Parameters: `parent` - the GPathResult prior to the application of the expression creating this GPathResult

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `getNextNode(Iterator iter)`
    `` | `public Iterator` | `nodeIterator()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Attributes` | `getLength, getValue, getValue, getValue, getType, getType, getType, getIndex, getIndex, getURI, getLocalName, getQName`

- - ### Constructor Detail

    - #### public FilteredAttributes(GPathResult parent, Closure closure, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `closure` - the Closure to use to filter the attributes
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### @Override
      protected Object getNextNode(Iterator iter)

    - #### @Override
      public Iterator nodeIterator()